#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,720,880,960,1040,2160
 * N : 25,240,480,720,880,960,1040,2160
 * NB : 1,16,16,24,32,40,80,80
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 1; \
   else if ((n_) < 600) (nb_) = 16; \
   else if ((n_) < 800) (nb_) = 24; \
   else if ((n_) < 920) (nb_) = 32; \
   else if ((n_) < 1000) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
